ros-kinetic-sensor-msgs (1.12.5-0wily) wily; urgency=high

  * Deal with abstract image encodings
  * Fix spelling mistakes
  * Fix year
  * Contributors: Jochen Sprickerhof, Kentaro Wada, trorornmn

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-sensor-msgs (1.12.4-0wily) wily; urgency=high

  * added type mapping and support for different types of points in point clouds
  * remove boost dependency fixes #81 <https://github.com/ros/common_msgs/issues/81>
  * adding a BatteryState message
  * fix iterator doc
  * remove warning due to anonymous namespace
  * Contributors: Sebastian Pütz, Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 22 Feb 2016 08:00:00 -0000

ros-kinetic-sensor-msgs (1.12.3-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 Apr 2015 07:00:00 -0000

ros-kinetic-sensor-msgs (1.12.2-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Mar 2015 07:00:00 -0000

ros-kinetic-sensor-msgs (1.12.1-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-kinetic-sensor-msgs (1.12.0-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 29 Dec 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.11.6-0wily) wily; urgency=high

  * Fix compilation with Clang
  * Contributors: jmtatsch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Nov 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.11.5-0wily) wily; urgency=high

  * add a test for the operator+ fix
    The behavior of that operator also had to be fixed to return a proper child class
  * fix critical bug with operator+
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 27 Oct 2014 07:00:00 -0000

ros-kinetic-sensor-msgs (1.11.4-0wily) wily; urgency=high

  * Fix bug caused by use of va_arg in argument list.
  * Contributors: Daniel Maturana

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 19 Jun 2014 07:00:00 -0000

ros-kinetic-sensor-msgs (1.11.3-0wily) wily; urgency=high

  * clean up documentation of sensor_msgs so that wiki generated doxygen is readable
  * Export architecture_independent flag in package.xml
  * Contributors: Michael Ferguson, Scott K Logan

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-sensor-msgs (1.11.2-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 24 Apr 2014 07:00:00 -0000

ros-kinetic-sensor-msgs (1.11.1-0wily) wily; urgency=high

  * fix missing include dirs for tests
  * Contributors: Dirk Thomas

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 16 Apr 2014 07:00:00 -0000

ros-kinetic-sensor-msgs (1.11.0-0wily) wily; urgency=high

  * add a PointCloud2 iterator and modifier
  * Contributors: Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.10.6-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Feb 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.10.5-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.10.4-0wily) wily; urgency=high

  * Fix roslib import for message module, remove roslib.load_manifest
  * Contributors: Bence Magyar

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 18 Feb 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.10.3-0wily) wily; urgency=high

  * python 3 compatibility
  * line wrap Imu.msg comments

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-sensor-msgs (1.10.2-0wily) wily; urgency=high

  * adding __init__.py #11 <https://github.com/ros/common_msgs/issues/11>

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 19 Aug 2013 07:00:00 -0000

ros-kinetic-sensor-msgs (1.10.1-0wily) wily; urgency=high

  * setup.py for #11 <https://github.com/ros/common_msgs/issues/11>
  * adding installation of point_cloud2.py to sensor_msgs fixes #11 <https://github.com/ros/common_msgs/issues/11>

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Aug 2013 07:00:00 -0000

ros-kinetic-sensor-msgs (1.10.0-0wily) wily; urgency=high

  * adding MultiDOFJointState message

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 13 Jul 2013 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.16-0wily) wily; urgency=high

  * update email in package.xml

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 May 2013 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.15-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.14-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 19 Jan 2013 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.13-0wily) wily; urgency=high

  * YUV422 actually has an 8 bit depth

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.12-0wily) wily; urgency=high

  * do not consider YUV422 to be a color anymore
  * added missing license header

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 Jan 2013 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.11-0wily) wily; urgency=high

  * modified dep type of catkin

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 17 Dec 2012 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.10-0wily) wily; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.9-0wily) wily; urgency=high

  * Added Low-Cost/Android Sensors reviewed messages
  * Updated comments to reflect REP 117 for fixed-distance rangers
  * Adding reviewed MultiEchoLaserScan message.

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2012 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.8-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 14 Nov 2012 08:00:00 -0000

ros-kinetic-sensor-msgs (1.9.7-0wily) wily; urgency=high

  * fix catkin function order

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.6-0wily) wily; urgency=high

  * updated cmake min version to 2.8.3, use cmake_parse_arguments instead of custom macro
  * fix the bad number of channels for YUV422 UYVY

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Oct 2012 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.5-0wily) wily; urgency=high

  * fixed missing find genmsg

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 28 Sep 2012 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.4-0wily) wily; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 28 Sep 2012 01:06:00 -0000

ros-kinetic-sensor-msgs (1.9.3-0wily) wily; urgency=high

  * cleanup
  * add precision about YUV422
  * add YUV422 to some functions
  * cleaned up package.xml files
  * updated to latest catkin
  * fixed dependencies and more
  * updated to latest catkin: created package.xmls, updated CmakeLists.txt

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 28 Sep 2012 00:39:00 -0000

ros-kinetic-sensor-msgs (1.9.2-0wily) wily; urgency=high

  * updated pkg-config in manifest.xml
  * updated catkin variables

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Sep 2012 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.1-0wily) wily; urgency=high

  * use install destination variables, removed manual installation of manifests

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Sep 2012 07:00:00 -0000

ros-kinetic-sensor-msgs (1.9.0-0wily) wily; urgency=high

  * update the docs

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 29 Aug 2012 07:00:00 -0000

ros-kinetic-sensor-msgs (1.8.13-0wily) wily; urgency=high

  * made inline functions static inline
  * fix ODR violation and missing headers
  * moved c++ code from sensor_msgs to headers

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Jul 2012 19:34:15 -0700

ros-kinetic-sensor-msgs (1.8.8-0wily) wily; urgency=high

  * simplifying deps
  * make find_package REQUIRED
  * removed obsolete catkin tag from manifest files
  * fixed package dependency for another common message (#3956 <https://github.com/ros/common_msgs/issues/3956>), removed unnecessary package name from another message
  * fixed package dependencies for several common messages (fixed #3956 <https://github.com/ros/common_msgs/issues/3956>)
  * clarify NavSatFix message comments
  * normalize shared lib building, #3838 <https://github.com/ros/common_msgs/issues/3838>
  * adding TimeReference to build
  * TimeReference decl was invalid
  * adding point_cloud2 as reviewed at http://ros.org/wiki/sensor_msgs/Reviews/Python%20PointCloud2%20_API_Review
  * TimeReference msg as reviewed #ros-pkg5355
  * install headers
  * adding manifest exports
  * fix boost-finding stuff
  * removed depend, added catkin
  * adding roscpp_core dependencies
  * stripping depend and export tags from common_msgs manifests as msg dependencies are now declared in cmake and stack.yaml.  Also removed bag migration exports
  * install-related fixes
  * common_msgs: removing migration rules as all are over a year old
  * sensor_msgs: removing old octave support now that rosoct is gone
  * bye bye vestigial MSG_DIRS
  * sensor_msgs: getting rid of other build files
  * adios rosbuild2 in manifest.xml
  * catkin updates
  * catkin_project
  * Updated to work with new message generation macros
  * adios debian/ hello stack.yaml.  (sketch/prototype/testing).
  * More tweaking for standalone message generation
  * Getting standalone message generation working... w/o munging rosbuild2
  * more rosbuild2 hacking
  * rosbuild2 tweaks
  * missing dependencies
  * sensor_msgs: Added YUV422 image encoding constant.
  * adding in explicit ros/console.h include for ros macros now that ros::Message base class is gone
  * adding JoyFeedback and JoyFeedbackArray
  * updating manifest.xml
  * adding Joy.msg
  * Add image encodings for 16-bit Bayer, RGB, and BGR formats.
    Update isMono(), isAlpha(), isBayer(), etc.
  * rosbuild2 taking shape
  * sensor_msgs: Source-compatible corrections to fillImage signature.
  * sensor_msgs: Functions for distinguishing categories of encodings. From cv_bridge redesign API review.
  * applying patch to this method like josh did in r33966 in rviz
  * sensor_msgs (rep0104): Migration rules for CameraInfo, RegionOfInterest.
  * sensor_msgs (rep0104): Doc improvements for CameraInfo.
  * sensor_msgs (rep0104): Cleaned up PointCloud2 msg docs. Restored original meaning of 'no invalid points' to is_dense (#4446 <https://github.com/ros/common_msgs/issues/4446>).
  * sensor_msgs (rep0104): Documented u,v channel semantics for PointCloud msg (#4482 <https://github.com/ros/common_msgs/issues/4482>).
  * sensor_msgs (rep0104): Added distortion model string constants.
  * sensor_msgs (rep0104): Include guard for image_encodings.h.
  * sensor_msgs (rep0104): Applied changes to CameraInfo and RegionOfInterest messages.
  * Clarify frame of reference for NavSatFix position covariance.
  * Add new satellite navigation messages approved by GPS API review.
  * adding Range message as reviewed #4488 <https://github.com/ros/common_msgs/issues/4488>
  * adding missing file
  * cleaner fix for point_cloud_conversion definitions for #4451 <https://github.com/ros/common_msgs/issues/4451>
  * inlining implementation in header for #4451 <https://github.com/ros/common_msgs/issues/4451>
  * sensor_msgs: Fixed URL in CameraInfo.msg and indicated how to mark an uncalibrated camera. #4105 <https://github.com/ros/common_msgs/issues/4105>
  * removing all the extra exports
  * add units to message description
  * bug fix in PC->PC2 conversion
  * include guards for point_cloud_conversions.h #4285 <https://github.com/ros/common_msgs/issues/4285>
  * Added Ubuntu platform tags to manifest
  * added PointCloud2<->PointCloud conversion routines.
  * Updating link to camera calibration
  * updating message as per review http://www.ros.org/wiki/sensor_msgs/Reviews/2010-03-01%20PointCloud2_API_Review
  * sensor_msgs: Added size (number of elements for arrays) to PointField.
  * pushing the new PointCloud structure in trunk
  * Changed wording of angle convention for the LaserScan message. We are now specifying how angles are measured, not which way the laser spins.
  * Remove use of deprecated rosbuild macros
  * Added exporting of generated srv includes.
  * Added call to gen_srv now that there is a service.
  * Added the SetCameraInfo service.
  * octave image parsing function now handles all possible image format types
  * changing review status
  * adding JointState documentation ticket:3006
  * Typo in comments
  * updated parsing routines for octave
  * Adding 1 more rule for migration point clouds and bringing test_common_msgs back from future.
  * Adding JointState migration rule.
  * replace pr2_mechanism_msgs::JointStates by new non-pr2-specific sensor_msgs::JointState. Door test passes
  * better documentation of the CameraInfo message
  * updated url
  * sensor_msgs: Added rule to migrate from old laser_scan/LaserScan.
  * sensor_msgs: Added string constants for bayer encodings.
  * clearing API reviews for they've been through a bunch of them recently.
  * Removed the Timestamp message.
  * Updating migration rules to better support the intermediate Image message that existed.
  * comments for sensor_msgs
  * Adding a CompressedImage migration rule.
  * Fixing robot_msgs references
  * Changing the ordering of fields within the new image message so that all meta information comes before the data block.
  * Migration of RawStereo message.
  * Migration rule for CameraInfo.
  * First cut at migration rules for images.
  * Moving stereo messages out of sensor_msgs to stereo/stereo_msgs
  * Getting rid of PixelEncoding since it is encompassed in Image message instead.
  * update to IMU message comments and defined semantics for covariance
  * Changing naming of bag migration rules.
  * Image message and CvBridge change
  * moving FillImage.h to fill_image.h for Jeremy
  * Adding image_encodings header/cpp, since genmsg_cpp doesn't actually support constant string values
  * fixing spelling
  * Message documentation
  * Switching IMU to sensor_msgs/Imu related to #2277 <https://github.com/ros/common_msgs/issues/2277>
  * adding IMU msg
  * Took out event_type field, as that would indeed make it more than a
    timestamp.
  * adding OpenCV doc comment
  * Rename rows,cols to height,width in Image message
  * Adding more migration rule tests and fixing assorted rules.
  * Added a timestamp message. (Will be used to track camera and perhaps some
    day hokuyo trigger times.)
  * sensor_msgs: Updates to CameraInfo, added pixel encoding and ROI.
  * New sensor_msgs::Image message
  * PointCloud:
    * pts -> points
    * chan -> channels
    ChannelFloat32:
    * vals -> values
  * sensor_msgs: Added explanation of reprojection matrix to StereoInfo.
  * sensor_msgs: Cleaned up CompressedImage. Updated image_publisher. Blacklisted jpeg.
  * merging in the changes to messages see ros-users email.  THis is about half the common_msgs API changes
  * sensor_msgs: Comments to better describe CameraInfo and StereoInfo.
  * Renamed CamInfo message to CameraInfo.
  * sensor_msgs_processImage can now process empty images
  * 
  * update openrave and sensor_msgs octave scripts
  * Image from image_msgs -> sensor_msgs #1661 <https://github.com/ros/common_msgs/issues/1661>
  * updating review status
  * moving LaserScan from laser_scan package to sensor_msgs package #1254 <https://github.com/ros/common_msgs/issues/1254>
  * populating common_msgs

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 13 Jun 2012 05:36:00 -0000


